Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::Collator Class Reference

Convenience class for storing collate objects. More...

`#include <Collator.h>`

Inheritance diagram for Lucene::Collator:

## Public Member Functions

| Collator (std::locale locale)
| Creates a new Collator, given the file to read from. More...
virtual | ~Collator ()
virtual String | getClassName ()
boost::shared_ptr< Collator > | shared_from_this ()
int32_t | compare (const String &first, const String &second)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

const std::collate< wchar_t > & | collate

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Convenience class for storing collate objects.

## Constructor & Destructor Documentation

Lucene::Collator::Collator | ( | std::locale | locale) |  |

Creates a new Collator, given the file to read from.

virtual Lucene::Collator::~Collator | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::Collator::_getClassName | ( | ) |  |

inline static

int32_t Lucene::Collator::compare | ( | const String & | first,
|  | const String & | second
| ) |  |

virtual String Lucene::Collator::getClassName | ( | ) |  |

inline virtual

boost::shared_ptr< Collator > Lucene::Collator::shared_from_this | ( | ) |  |

inline

## Field Documentation

const std::collate<wchar_t>& Lucene::Collator::collate

protected

The documentation for this class was generated from the following file:

- Collator.h

clucene.sourceforge.net